Bug Hunting Session
Bug 126142 - ImageMap menu position inconsistent
Summary: ImageMap menu position inconsistent
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Documentation (show other bugs)
Version:
(earliest affected)
6.3.0.0.alpha1+
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: target:6.4.0
Keywords:
Depends on:
Blocks:
 
Reported: 2019-06-28 07:00 UTC by Samuel Mehrbrodt (CIB)
Modified: 2019-07-19 15:24 UTC (History)
8 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Samuel Mehrbrodt (CIB) 2019-06-28 07:00:45 UTC
Insert an image into a document, then try to add an Image map (make parts of the image hyperlinks).

The menu positions for this vary:
Writer: Edit->ImageMap
Writer/Web: Edit->ImageMap
Writer/Forms: Edit->ImageMap
Calc: Edit->ImageMap
Draw: Tools->ImageMap
Impress: Tools->ImageMap

This should be unified.
Comment 1 Jacques Guilleron 2019-07-04 14:16:15 UTC
Hi Samuel,

Reproduced with
LO 6.4.0.0.alpha0+ (x86) Build ID: 719f4a93e46a6b397356dbb605d2867639ca3942
CPU threads: 2; OS: Windows 6.1; UI render: default; VCL: win; 
Locale: fr-FR (fr_FR); UI-Language: en-US Calc: CL
but not with
LO 6.2.0.0.alpha0+ Build ID: 1aa37aa6bee19099b57555a6d839992b054aa405
CPU threads: 2; OS: Windows 6.1; UI render: default; 
TinderBox: Win-x86@42, Branch:master, Time: 2018-09-23_10:17:54
Locale: fr-FR (fr_FR); Calc: threaded
where I found 
Edit > ImageMap in Draw and Impress.

Jacques
Comment 2 andreas_k 2019-07-07 19:48:33 UTC
I moved ImageMap in Draw and Impress in the Tools section.

Here is the patch https://gerrit.libreoffice.org/#/c/70299/
And discussion was done in Bug 124198

should I move ImageMap in sd and sc modules to?
Comment 3 V Stuart Foote 2019-07-07 20:26:55 UTC
(In reply to andreas_k from comment #2)
> I moved ImageMap in Draw and Impress in the Tools section.
> 
> Here is the patch https://gerrit.libreoffice.org/#/c/70299/
> And discussion was done in Bug 124198
> 
> should I move ImageMap in sd and sc modules to?

I think you meant sw and sc modules, but yes--moved consistently to under the Tools menu where the sd module already has it active for whole frame or for selected images in Draw & Impress.  

But it will need help article updates as well, similar to as was done with https://gerrit.libreoffice.org/#/c/71397/
Comment 4 Heiko Tietze 2019-07-12 11:07:39 UTC
+1 for all under Tools
Comment 5 andreas_k 2019-07-15 23:43:50 UTC
but in which section in Tools at calc and writer?
Comment 6 Heiko Tietze 2019-07-16 07:52:34 UTC
(In reply to andreas_k from comment #5)
> but in which section in Tools at calc and writer?

Either both at the second section (after Redact) or as an extra section.
Comment 7 Commit Notification 2019-07-16 21:48:07 UTC
andreas kainz committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/c738be4de6886a0c96b7d10df7e78c8b2964c135%5E%21

tdf:126142 ImageMap menubar entry moved to tools section

It will be available in 6.4.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 8 andreas_k 2019-07-16 21:51:47 UTC
help need to be updated
Comment 9 Xisco Faulí 2019-07-17 20:59:02 UTC
Removing regression keyword since it's a documentation issue now
Comment 10 Xisco Faulí 2019-07-17 20:59:46 UTC
@Andreas, @Heiko, should the commit be backported to 6-3 branch ?
Comment 11 andreas_k 2019-07-17 21:05:28 UTC
I don't think an backport is needed. cause in writer/calc it's the old position and in impress/draw the new one.
Comment 12 Heiko Tietze 2019-07-18 05:56:08 UTC
(In reply to andreas_k from comment #11)
> I don't think an backport is needed.

Agree
Comment 13 Samuel Mehrbrodt (CIB) 2019-07-18 08:31:22 UTC
Then we maybe should revert the original patch in 6.3 so that it is consistent?
Comment 14 Buovjaga 2019-07-19 15:24:32 UTC
Maybe it is irrelevant, but the motivation of the original bug 124198:
"As you don't have to select an Image ImageMap didn't have to be in Menubar -> Edit."

From my Help patch commit msg:
"Note that in Writer and Calc, ImageMap remains under Edit, because
it is only enabled when an image is selected."